/*
 * cpufreqd-icon (C) 2009-2017 kakurasan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

namespace CpufreqdIcon
{
  class CpufreqdProfile : GLib.Object
  {
    public uint num { get; construct; }
    public string pfname { get; construct; }
    public string govname { get; construct; }
    public uint minfreq { get; construct; }
    public uint maxfreq { get; construct; }
    public static SList<CpufreqdProfile> profiles;
    public
    CpufreqdProfile (uint num, string pfname, string govname, uint minfreq, uint maxfreq)
    {
      GLib.Object (num : num, pfname : pfname, govname : govname, minfreq : minfreq, maxfreq : maxfreq);
    }
#if DEBUG
    ~CpufreqdProfile ()
    {
      GLib.debug ("~CpufreqdProfile (): num:%u pfname:%s", this.num, this.pfname);
    }
#endif
  }
}
