/*
 * cpufreqd-icon (C) 2009-2017 kakurasan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

using Config;

namespace CpufreqdIcon
{
  class Notification
  {
    GLib.Notification n;
    public
    Notification ()
    {
      this.n = new GLib.Notification (PACKAGE);
      if (App.icon != null)
      {
        try
        {
          this.n.set_icon (GLib.Icon.new_for_string (PACKAGE));
        }
        catch (GLib.Error e)
        {
          ;
        }
      }
    }
    public void
    show (GLib.NotificationPriority priority, string title, string body)
    {
      this.n.set_priority (priority);
      this.n.set_title (title);
      this.n.set_body (body);
      App.inst.send_notification (PACKAGE, this.n);
    }
  }
}
